Subject: Re: bug#14795: height parameter inconsistent in new vs existing frames when tool-bar is enabled

From: martin rudalics <[email-masked]>
Date: Fri, 05 Jul 2013 09:45:31 +0200

>   /* Add the tool-bar height to the initial frame height so that the
 >      user gets a text display area of the size he specified with -g or
 >      via .Xdefaults.  Later changes of the tool-bar height don't
 >      change the frame size.  This is done so that users can create
 >      tall Emacs frames without having to guess how tall the tool-bar
 >      will get.  */
 >   if (toolbar_p && FRAME_TOOL_BAR_LINES (f))
 >
 > I remain unconvinced. That's mixing apples and oranges. If UI commands
 > (like -g) and UI settings (like X resources) should interpret the
 > frame height as meaning the client area, so be it. But then we should
 > decouple these from the `height' frame parameter, because it doesn't
 > really make sense to say that `height' means client area height when
 > creating a frame, but total frame height when modifying it.

What did you expect?  It's impossible to tell what a frame's height or
width is :-(

martin